Package ru.bitel.bgbilling.plugins.crm.server.bean.event

# Class RegisterTaskProcessEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.plugins.crm.server.bean.event.RegisterTaskProcessEvent

All Implemented Interfaces:
  `Serializable`, `ErrorReturnableEvent`

public class RegisterTaskProcessEvent extends ru.bitel.bgbilling.kernel.event.common.LocalEvent
Синхронное событие обработки задачи в CRM.
Унаследован от `LocalEvent`

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `RegisterTaskProcessEvent()`
  ``
  `RegisterTaskProcessEvent(int pluginId, RegisterTask task, StringBuffer report)`
  Конструктор события.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `StringBuffer`
  `getReport()`
  Возвращает отчет по обработке задачи.
  В этот отчет может писать скрипт, обрабатывающий данную задачу.
  `RegisterTask`
  `getTask()`
  Возвращает закрываемую задачу.
  `int`
  `getTypeId()`
  Deprecated.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `getError, setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RegisterTaskProcessEvent

    protected RegisterTaskProcessEvent()

  - ### RegisterTaskProcessEvent

    public RegisterTaskProcessEvent(int pluginId, RegisterTask task, StringBuffer report)
    Конструктор события.
    Parameters:
      `pluginId` - - код плагина
      `task` - - обрабатываемая задача
      `report` - - очте по обработке

- ## Method Details

  - ### getTypeId

    @Deprecated public int getTypeId()
    Deprecated.
    Использовать проверку instanceof.
    Overrides:
      `getTypeId` in class `ru.bitel.bgbilling.kernel.event.common.Event`

  - ### getTask

    public RegisterTask getTask()
    Возвращает закрываемую задачу.
    Returns:
      task - задача

  - ### getReport

    public StringBuffer getReport()
    Возвращает отчет по обработке задачи.
    В этот отчет может писать скрипт, обрабатывающий данную задачу.
    Returns:
      report - отчет